package com.hzya.frame.sys.appApi.dao;

import com.hzya.frame.sys.appApi.entity.AppApi;
import com.hzya.frame.sys.appApi.entity.AppApiDto;
import com.hzya.frame.sys.appApi.entity.AppApiListVo;

import java.util.List;

/**
 * @description: 应用api  dao
 * @tableName: sys_app_api
 * @entityName: AppApi
 * @author: gjh
 * @history: 1.0
 */
public interface IAppApiMapper {

        //通过ID获取数据    entity_get
        AppApi entity_get(String id);
        //通过id获取数据 request_method关联查的数据字典
        AppApi entity_get_join_dictionary(String id);

        //查询 采用==查询   entity_list_base
        List<AppApi> entity_list_base(AppApi entity);

        //  查询符合条件的数量
        Integer entity_count(AppApi entity);

        //分页查询列表 采用like格式 entity_list_like
        List<AppApi> entity_list_like(AppApi entity);

        //查询列表 字段采用or格式   entity_list_or
        List<AppApi> entity_list_or(AppApi entity);

        //新增  entity_insert
        AppApi entity_insert(AppApi entity);

        //修改  entity_update
        Integer entity_update(AppApi entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(AppApi entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(AppApi entity);

        //物理删除
        Integer entity_delete(AppApi entity);


        List<AppApiListVo> queryList(AppApiDto entity);

        Integer entity_count_not_id(AppApi checkEntity);
}
